Create a new user

Creates a new internal user. Returns 409 if the email already belongs to an internal user, or 209 if the user was created but sending the activation invite mail failed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The login email of the user. Must be unique per tenant.

string
required

The role to assign: an internal default-role shorthand (adminUser, managerUser, fullUser, viewerUser) or a role id from GET /v1/users/roles.

string
required

The first name of the user.

string
required

The last name of the user.

string

The job position of the user.

string

A workspace-unique reference to this user in an external system. Must be unique per tenant.

string
enum

The selected system language.

boolean

Send the activation invite email. Defaults to false (no email is sent).

groupIds
array of strings

User group ids from GET /v1/users/groups.

groupIds
Responses

400

Bad Request

403

Forbidden

409

A user with this email already exists

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json